#{extends 'border.html'/}
<div class="container">
#{form @masterdata.UnitPengukuranCtr.createSubmit(), method:'POST', class:'form-horizontal'}

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.UnitPengukuranCtr.index()}">&{'unit_pengukuran.label'}</a></li>
				<li class="active">&{'tambah.label'} &{'unit_pengukuran.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
				#{saveButton/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
    <div class="row">
    	<div class="col-md-12">
    		<div class="panel panel-default">
	            <div class="panel-body">
					#{alert /}
	                <div class="toolbar">
	                    <a id="addInput" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'}</a>
	                    <a id="removeAllInput" class="btn btn-danger"><i class="fa fa-trash"></i> &{'kosongkan.label'}</a>
	                </div>
	                
	                <table class="table table-condensed">
			            <thead>
			            	<tr>
			            		<th>&{'nomor.label'}</th>
			            		<th>&{'nama_unit_pengukuran.label'}</th>
			            		<th>&{'deskripsi.label'}</th>
			            	</tr>
			            </thead>
			            <tbody id="inputForm">
						#{if unitList != null}
							#{list items:unitList, as:'unit'}
								<tr>
									<td>
										<a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
									</td>
									<td class="#{errorClass 'unit_'+unit_index/}">
										<input class="form-control" name="nama_unit_arr" value="${unit.unit}"/>
										<span class="help-block">#{error 'unit_'+unit_index /}</span>
									</td>
                                    <td>
                                        <input class="form-control" name="deskrip_unit_arr" value="${unit.deskripsi}"/>
                                    </td>
								</tr>
							#{/list}
						#{/if}
						#{else}
							<tr>
								<td>
									<a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
								</td>
								<td>
									<input class="form-control" name="nama_unit_arr"/>
								</td>
								<td>
									<input class="form-control" name="deskrip_unit_arr"/>
								</td>
							</tr>
						#{/else}
			            </tbody>
			        </table>
			        
	            </div>
        	</div>
    	</div>
    </div>
    
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {

		$("#addInput").on("click",function(){
			var str = "<tr>" +
                    "<td><a id='removeInput' class='btn btn-danger'><i class='fa fa-trash'></i></a></td>" +
                    "<td><input class='form-control' name='nama_unit_arr'/></td>" +
                    "<td><input class='form-control' name='deskrip_unit_arr'/></td>" +
                    "</tr>";
			$("#inputForm").append(str);
		});

		$("body").on("click","#removeInput",function(){
			$(this).parent().parent().remove();
		});

		$("#removeAllInput").on("click",function(){
			$("#inputForm tr").remove();
		});


    });
</script>
#{/set}